unit dmMain;

interface

uses
  SysUtils, Classes, DBXpress, DB, SqlExpr
  {For ThinkSQL (and DataSnap) static linking, un-comment the following line:}
  //,sqlthink, midaslib
  ;

type
  TdtmMain = class(TDataModule)
    sqlCon: TSQLConnection;
    procedure DataModuleCreate(Sender: TObject);
    procedure DataModuleDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dtmMain: TdtmMain;

implementation

{$R *.dfm}

procedure TdtmMain.DataModuleCreate(Sender: TObject);
begin
  {Open the connection to ThinkSQL}
  sqlCon.Open;
end;

procedure TdtmMain.DataModuleDestroy(Sender: TObject);
begin
  {Close the connection to ThinkSQL}
  sqlCon.Close;
end;

end.
