unit fmCheck;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, fmBaseDBgrid, FMTBcd, DB, Provider, DBClient, SqlExpr, StdCtrls,
  Buttons, Grids, DBGrids, ExtCtrls, Mask, DBCtrls;

type
  TfrmCheck = class(TfrmBaseDBgrid)
    Label10: TLabel;
    dbedNo: TDBEdit;
    Label1: TLabel;
    dbedName: TDBEdit;
    btnCheckDetail: TBitBtn;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    sqryDataSERVER_NO: TIntegerField;
    sqryDataCHECK_NO: TIntegerField;
    sqryDataSTART_TIME: TSQLTimeStampField;
    sqryDataSERVER_NAME: TStringField;
    procedure btnCheckDetailClick(Sender: TObject);
    procedure dgDataDblClick(Sender: TObject);
    procedure cdsDataAfterPost(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCheck: TfrmCheck;

implementation

uses fmCheckDetail;

{$R *.dfm}

procedure TfrmCheck.btnCheckDetailClick(Sender: TObject);
begin
  inherited;
  if cdsData.State in [dsInsert,dsEdit] then abort; //insist we have stored this parent key before adding child rows

  {Pass our details to the child form}
  id:=cdsData.fieldByName('check_no').asInteger;
  name:=intToStr(cdsData.fieldByName('check_no').asInteger);

  TfrmCheckDetail.Create(self);
end;

procedure TfrmCheck.dgDataDblClick(Sender: TObject);
begin
  inherited;
  btnCheckDetailClick(btnCheckDetail);
end;

procedure TfrmCheck.cdsDataAfterPost(DataSet: TDataSet);
begin
  inherited;
  DataSet.Refresh;
end;

end.
