unit fmMain;

{This is a sample Delphi application showing how to connect to the ThinkSQL RDBMS
 using the native dbExpress driver.

 Make sure the ThinkSQL server is running locally (with the Restaurant sample schema
 available) before starting the application.

 See the dmMain unit for details on statically linking the driver into the application
 to produce a single-EXE client application. 
}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, fmBase, Menus, ExtCtrls, ComCtrls, ImgList,
  ActnMan, ActnList, ActnCtrls, ActnMenus, ToolWin, jpeg;

type
  TfrmMain = class(TfrmBase)
    sbMain: TStatusBar;
    ActionList1: TActionList;
    MenuItemGroup: TAction;
    Server: TAction;
    ImageList1: TImageList;
    Check: TAction;
    MainMenu1: TMainMenu;
    MenuItemGroups1: TMenuItem;
    Servers1: TMenuItem;
    Checks1: TMenuItem;
    procedure MenuItemGroupExecute(Sender: TObject);
    procedure ServerExecute(Sender: TObject);
    procedure CloseExecute(Sender: TObject);
    procedure CheckExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses fmMenuItemGroup, fmServer, dmMain, fmCheck;

{$R *.dfm}

procedure TfrmMain.CloseExecute(Sender: TObject);
begin
  inherited;
  Application.Terminate; //exit
end;

procedure TfrmMain.MenuItemGroupExecute(Sender: TObject);
begin
  inherited;
  TfrmMenuItemGroup.create(Application);
end;

procedure TfrmMain.ServerExecute(Sender: TObject);
begin
  inherited;
  TfrmServer.create(Application);
end;

procedure TfrmMain.CheckExecute(Sender: TObject);
begin
  inherited;
  TfrmCheck.create(Application);
end;

end.
