unit fmMenuItemGroup;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, fmBaseDBgrid, StdCtrls, Buttons, ExtCtrls, FMTBcd, DB, Provider,
  DBClient, SqlExpr, DBCtrls, Grids, DBGrids, Mask;

type
  TfrmMenuItemGroup = class(TfrmBaseDBgrid)
    Label1: TLabel;
    btnMenuItem: TBitBtn;
    Label10: TLabel;
    dbedName: TDBEdit;
    dbedNo: TDBEdit;
    cdsDataMENU_ITEM_GROUP_NO: TIntegerField;
    cdsDataMENU_ITEM_GROUP_NAME: TStringField;
    procedure btnEditClick(Sender: TObject);
    procedure btnNewClick(Sender: TObject);

    procedure btnMenuItemClick(Sender: TObject);

    procedure btnOkClick(Sender: TObject);
    procedure dgDataDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMenuItemGroup: TfrmMenuItemGroup;

implementation

uses fmMenuItem;

{$R *.dfm}

procedure TfrmMenuItemGroup.btnEditClick(Sender: TObject);
begin
  inherited;
  dbedName.SetFocus;
end;

procedure TfrmMenuItemGroup.btnNewClick(Sender: TObject);
begin
  inherited;
  dbedNo.SetFocus;
end;

procedure TfrmMenuItemGroup.btnMenuItemClick(Sender: TObject);
begin
  inherited;
  if cdsData.State in [dsInsert,dsEdit] then abort; //insist we have stored this parent key before adding child rows

  {Pass our details to the child form}
  id:=cdsData.fieldByName('menu_item_group_no').asInteger;
  name:=cdsData.fieldByName('menu_item_group_name').asString;

  TfrmMenuItem.Create(self);
end;

procedure TfrmMenuItemGroup.btnOkClick(Sender: TObject);
begin
  inherited;
  id:=cdsData.fieldByName('menu_item_group_no').asInteger;
end;

procedure TfrmMenuItemGroup.dgDataDblClick(Sender: TObject);
begin
  inherited;
  btnMenuItemClick(btnMenuItem);
end;

end.
